=== modified file 'Makefile'
--- Makefile	2006-11-02 07:01:58 +0000
+++ Makefile	2006-11-10 01:47:51 +0000
@@ -34,6 +34,7 @@
 
 # Produce HTML docs to upload on Canonical server
 HTMLDIR := html_docs
+PRETTYDIR := pretty_docs
 
 html-docs: docs
 	python tools/win32/ostools.py copytodir $(htm_files) doc/default.css $(HTMLDIR)
@@ -41,11 +42,22 @@
 
 # translate txt docs to html
 doc_dir := doc 
-txt_files := $(wildcard $(addsuffix /*.txt, $(doc_dir)))
-htm_files := $(patsubst %.txt, %.htm, $(txt_files)) doc/bzr_man.htm
-
-%.htm: %.txt
-	python tools/rst2html.py --link-stylesheet --stylesheet=default.css $*.txt $*.htm
+txt_files := $(wildcard $(addsuffix /*.txt, $(doc_dir))) doc/bzr_man.txt
+htm_files := $(patsubst %.txt, %.htm, $(txt_files)) 
+
+pretty-docs: pretty_files
+
+pretty_docs:
+	python -c "import os; os.mkdir('$(PRETTYDIR)')"
+
+pretty_files: $(patsubst doc/%.txt, $(PRETTYDIR)/%.htm, $(txt_files))
+
+doc/%.htm: doc/%.txt
+	python tools/rst2html.py --link-stylesheet --stylesheet=default.css doc/$*.txt doc/$*.htm
+
+$(PRETTYDIR)/%.htm: pretty_docs doc/%.txt
+	python tools/rst2prettyhtml.py doc/bazaar-vcs.org.kid doc/$*.txt \
+	$(PRETTYDIR)/$*.htm
 
 doc/bzr_man.txt: bzrlib/builtins.py \
 		 bzrlib/bundle/commands.py \
@@ -63,7 +75,8 @@
 
 # clean produced docs
 clean-docs:
-	python tools/win32/ostools.py remove doc/bzr_man.txt $(htm_files) $(HTMLDIR)
+	python tools/win32/ostools.py remove doc/bzr_man.txt $(htm_files) \
+	$(HTMLDIR) $(PRETTYDIR)
 
 
 # make bzr.exe for win32 with py2exe

=== removed file 'Makefile.pretty'
--- Makefile.pretty	2006-11-05 21:20:58 +0000
+++ Makefile.pretty	1970-01-01 00:00:00 +0000
@@ -1,17 +0,0 @@
-HTMLDIR := html_docs
-doc_dir := doc 
-txt_files := $(wildcard $(addsuffix /*.txt, $(doc_dir)))
-htm_files := $(patsubst %.txt, %.htm, $(txt_files)) doc/bzr_man.htm
-%.htm: %.txt doc/bazaar-vcs.org.kid
-	python tools/rst2prettyhtml.py doc/bazaar-vcs.org.kid $*.txt $*.htm
-html-docs: docs
-docs: $(htm_files)
-	python tools/win32/ostools.py copytodir $(htm_files) $(HTMLDIR)
-doc/bzr_man.txt: bzrlib/builtins.py \
-		 bzrlib/bundle/commands.py \
-		 bzrlib/conflicts.py \
-		 bzrlib/sign_my_commits.py \
-		 generate_docs.py \
-		 tools/doc_generate/__init__.py \
-		 tools/doc_generate/autodoc_rstx.py
-	python2.4 generate_docs.py -o doc/bzr_man.txt rstx

